package com.muyu.system.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.system.domain.rep.SysDictTypeAddReq;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Pattern;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 *
 * 数据字典类型添加模型
 * @author
 * @version 1.0
 * @date 2025/2/24 1:35
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SysDictTypeAddModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 字典主键
     */
    private Long dictId;

    /**
     * 字典名称
     */
    private String dictName;

    /**
     * 字典类型
     */
    private String dictType;

    /**
     * 状态（0正常 1停用）
     */
    private String status;

    public static SysDictTypeAddModel buildModel(SysDictTypeAddReq sysDictTypeAddReq){
        return SysDictTypeAddModel.builder()
                .dictId(sysDictTypeAddReq.getDictId())
                .dictName(sysDictTypeAddReq.getDictName())
                .dictType(sysDictTypeAddReq.getDictType())
                .status(sysDictTypeAddReq.getStatus())
                .build();
    }

}
