package com.muyu.system.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.system.domain.SysNotice;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 通知公告列表模型
 *
 * @author 夜は眠れるかい?
 * @Date 2025/2/24 12:01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SysNoticeListModel extends BaseEntity {

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;


    /**
     * 将公告通知原生实体类构建成列表响应对象
     *
     * @param sysNotice 公告通知原生实体类
     * @return 列表模型
     */
    public static SysNoticeListModel listInfoBuildToModel(SysNotice sysNotice){
        return SysNoticeListModel.builder()
                .noticeId(sysNotice.getNoticeId())
                .noticeTitle(sysNotice.getNoticeTitle())
                .noticeType(sysNotice.getNoticeType())
                .noticeContent(sysNotice.getNoticeContent())
                .status(sysNotice.getStatus())
                .createBy(sysNotice.getCreateBy())
                .createTime(sysNotice.getCreateTime())
                .remark(sysNotice.getRemark())
                .build();
    }
}
